spring:
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    druid:
      driver-class-name: com.mysql.cj.jdbc.Driver
      url: jdbc:mysql://localhost:3306/mkcloud?useUnicode=true&characterEncoding=UTF-8&useSSL=false&serverTimezone=Asia/Shanghai
      username: root
      password: root
      initial-size: 10
      max-active: 100
      min-idle: 10
      max-wait: 60000
      pool-prepared-statements: true
      max-pool-prepared-statement-per-connection-size: 20
      time-between-eviction-runs-millis: 60000
      min-evictable-idle-time-millis: 300000
      #Oracle需要打开注释
      #validation-query: SELECT 1 FROM DUAL
      test-while-idle: true
      test-on-borrow: false
      test-on-return: false
      stat-view-servlet:
        enabled: true
        url-patte rn: /druid/*
        #login-username: admin
        #login-password: admin
      filter:
        stat:
          log-slow-sql: true
          slow-sql-millis: 1000
          merge-sql: false
        wall:
          config:
            multi-statement-allow: true
minio:
  endpoint: http://150.158.138.99:9006
  access-key: minio
  secret-key: minio123
  bucket: at will


#多数据源的配置
dynamic:
  datasource:
    slave2:
      driver-class-name: com.mysql.cj.jdbc.Driver
      url: jdbc:mysql://localhost:3306/renren_fast?useUnicode=true&characterEncoding=UTF-8&useSSL=false&serverTimezone=Asia/Shanghai
      username: root
      password: root
#    slave1:
#      driver-class-name: com.mysql.cj.jdbc.Driver
#      url: jdbc:mysql://10.168.58.10:3306/mkcloud?useUnicode=true&characterEncoding=UTF-8&useSSL=false&serverTimezone=Asia/Shanghai
#      username: root
#      password: 520520520

hbase:
  config:
    hbase.zookeeper.quorum: 150.158.138.99,49.235.67.21,42.192.195.253
    #hbase.zookeeper.quorum: 150.158.138.99,49.235.67.21,42.192.195.253
    hbase.zookeeper.property.clientPort: 2181
    zookeeper.znode.parent: /hbase
    hbase.client.keyvalue.maxsize: 1048576000